%define release_name leamas
%define dist_version 14

Summary:	Leamas' add on packages for Fedora
Name:		leamas-repo
Version:	2
Release:	3
License:	GPLv2
Group:		System Environment/Base
URL:		http://mumin.dnsalias.net/leamas-repo/
Source:	        %{url}/leamas-repo/%{name}-%{version}.tar.bz2
Provides:	leamas = %{version}-%{release}
BuildArch:	noarch

%description
leamas' add on directory with various, mostly private Fedora packages.

%package leamas
Summary:	Leamas repo definitions

%description leamas
This package provides leamas repo definitions.


%prep
%setup -q

%build

%install
install -d $RPM_BUILD_ROOT/etc
install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
install -m 644 leamas.repo  $RPM_BUILD_ROOT/etc/yum.repos.d
install -d $RPM_BUILD_ROOT/etc/pki/rpm-gpg
install -m 644  RPM-GPG-KEY-leamas $RPM_BUILD_ROOT/etc/pki/rpm-gpg

%files
%defattr(-,root,root,-)
%doc GPL 
%config(noreplace) /etc/yum.repos.d/leamas.repo
%config /etc/pki/rpm-gpg/RPM-GPG-KEY-leamas

%changelog
* Sun Aug 21 2011 Alec Leamas <somewhere@redhat.com> - 2-2
- New repofile definition.
* Fri Aug 19 2011 Alec Leamas <somewhere@redhat.com> - 14-1
- Bump version
* Sun Sep 19 2010 Alec Leamas <somewhere@redhat.com> - 13-1
- Initial version

